POST subscriptions/subscribe

Request Information

URI Parameters

None.

Body Parameters

PortalSubscriptionTable
NameDescriptionTypeAdditional information
subscriptionId

integer

None.

userId

integer

None.

packageId

integer

None.

packageName

string

None.

propertyLimit

integer

None.

featuredLimit

integer

None.

price

decimal number

None.

isActive

boolean

None.

startDate

date

None.

endDate

date

None.

Request Formats

application/json, text/json

Sample:
{
  "subscriptionId": 1,
  "userId": 2,
  "packageId": 3,
  "packageName": "sample string 4",
  "propertyLimit": 1,
  "featuredLimit": 1,
  "price": 1.0,
  "isActive": true,
  "startDate": "2026-07-14T14:54:49.3505668+00:00",
  "endDate": "2026-07-14T14:54:49.3505668+00:00"
}

application/xml, text/xml

Sample:
<PortalSubscriptionTable xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/projectalminha.Models">
  <endDate>2026-07-14T14:54:49.3505668+00:00</endDate>
  <featuredLimit>1</featuredLimit>
  <isActive>true</isActive>
  <packageId>3</packageId>
  <packageName>sample string 4</packageName>
  <price>1</price>
  <propertyLimit>1</propertyLimit>
  <startDate>2026-07-14T14:54:49.3505668+00:00</startDate>
  <subscriptionId>1</subscriptionId>
  <userId>2</userId>
</PortalSubscriptionTable>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.